import 'package:diplomaticquarterapp/pages/ContactUs/widgets/card_common_contat.dart';
import 'package:diplomaticquarterapp/uitl/location_util.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';

import 'package:flutter/material.dart';
import '../../uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/pages/ErService/widgets/card_common.dart';

class HmgServicePage extends StatefulWidget {
  @override
  _HmgServicePageState createState() => _HmgServicePageState();
}

class _HmgServicePageState extends State<HmgServicePage> {

  LocationUtils locationUtils;

  @override
  void initState() {
    locationUtils =
    new LocationUtils(isShowConfirmDialog: true, context: context);
    WidgetsBinding.instance
        .addPostFrameCallback((_) => locationUtils.getCurrentLocation());

    super.initState();
  }
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,//widget.isAppbar,
      appBarTitle: "HMG Services",//TranslationBase.of(context).bookAppo,
      body: Container(
        margin: EdgeInsets.fromLTRB(10.0, 20.0, 10.0, 10.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[

            Row(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  child: CardCommonContact(
                    image: 'assets/images/new-design/find_us_icon.png',
                    text: "Find us",
                    subText: "",
                    type: 0,

                  ),
                ),
                Expanded(
                  child: CardCommonContact(
                      image: 'assets/images/new-design/feedback_icon.png',
                      text: "Feedback",
                      subText: "",
                      type: 1),

                ),
              ],
            ),
            Row(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  child: CardCommonContact(
                    image: 'assets/images/new-design/live_chat_icon.png',
                    text: "Live Chat",
                    subText: "Service",
                    type: 2,

                  ),
                ),
                Expanded(
                  child: Opacity(
                    opacity: 0,
                    child: CardCommonContact(
                        image: 'assets/images/new-design/feedback_icon.png',
                        text: "Feedback",
                        subText: "",
                        type: 3),
                  ),

                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}

